Bug 174337 - [RHEL4] CVE-2005-3857 lease printk DoS
[RHEL4] CVE-2005-3857 lease printk DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
public=20051113,reported=20051128,sou...
: Security
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2005-11-28 05:15 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 03:35:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (375 bytes, patch)
2005-12-06 10:22 EST, Peter Staubach
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-28 05:15:39 EST
CVE-2005-3857 lease DoS
        The time_out_leases function in locks.c for Linux kernel
        before 2.6.15 allows local users to cause a denial of service
        (kernel log message consumption) by causing a large number of
        broken leases, which is recorded to the log using the printk
        function.

fix (remove printk):
http://linux.bkbits.net:8080/linux-2.6/cset@437a05c4iitlvmAoQbx7eisMxOEosw

thread:
http://marc.theaimsgroup.com/?l=linux-kernel&m=113175851920568&w=2

Listing as moderate, but may be updated to important based on kernel team
investigation.
Comment 1 Peter Staubach 2005-12-06 10:22:00 EST
Created attachment 121910 [details]
Proposed patch
Comment 7 Red Hat Bugzilla 2006-01-17 03:35:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html

Note You need to log in before you can comment on or make changes to this bug.